# Class PostTurnResetStatusAbAttr

After the turn ends, resets the status of either the ability holder or their ally

#### Param: allyTarget

Whether to target ally, defaults to false (self-target)

#### Hierarchy (view full)

- PostTurnAbAttr
  - PostTurnResetStatusAbAttr

- Defined in src/data/ability.ts:2511

#####
Index

### Constructors

constructor

### Properties

allyTarget
showAbility
target

### Methods

addCondition
apply
applyPostTurn
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostTurnResetStatusAbAttr(allyTarget?): PostTurnResetStatusAbAttr

- #### Parameters

  - allyTarget: boolean = false

  #### Returns PostTurnResetStatusAbAttr

  Overrides PostTurnAbAttr.constructor

  - Defined in src/data/ability.ts:2515

## Properties

### `Private` allyTarget

allyTarget: boolean

- Defined in src/data/ability.ts:2512

### showAbility

showAbility: boolean

Inherited from PostTurnAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` target

target: default

- Defined in src/data/ability.ts:2513

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostTurnAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostTurnAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostTurn

- applyPostTurn(pokemon, passive, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostTurnAbAttr.applyPostTurn

  - Defined in src/data/ability.ts:2520

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostTurnAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostTurnAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137